Bug 990159 - bin/wsconsume.sh help message needs correction
bin/wsconsume.sh help message needs correction
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 09:49 EDT by Pavel Janousek
Modified: 2013-12-15 11:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-30 09:49:58 EDT
Invocation of bin/wsconsume.sh without any parameter produces this help message:

[root@dev131 jbossas]# bin/wsconsume.sh 
Error: WSDL URL was not specified!
WSConsumeTask is a cmd line tool that generates portable JAX-WS artifacts from a WSDL file.

usage: org.jboss.ws.tools.cmd.WSConsume [options] <wsdl-url>

options: 
    -h, --help                  Show this help message
    -b, --binding=<file>        One or more JAX-WS or JAXB binding files 
    -k, --keep                  Keep/Generate Java source
    -c  --catalog=<file>        Oasis XML Catalog file for entity resolution
    -p  --package=<name>        The target package for generated source
    -w  --wsdlLocation=<loc>    Value to use for @WebService.wsdlLocation
    -o, --output=<directory>    The directory to put generated artifacts
    -s, --source=<directory>    The directory to put Java source
    -t, --target=<2.1|2.2>      The JAX-WS specification target
    -q, --quiet                 Be somewhat more quiet
    -v, --verbose               Show full exception stack traces
    -l, --load-consumer         Load the consumer and exit (debug utility)
    -e, --extension             Enable SOAP 1.2 binding extension
    -a, --additionalHeaders     Enable processing of implicit SOAP headers
    -n, --nocompile             Do not compile generated sources
[root@dev131 jbossas]#

Problematic part is 'usage: ...', there should be sth like (remove full package path to WSConsume task):
"usage: wsconsume [options] <wsdl-url>"

Or better there should be wsonsume.sh for UNIX-like shells and wsconsume.bat for Windows-like, but I'm not sure if it is possible there.
Comment 2 Rostislav Svoboda 2013-10-01 02:21:35 EDT
Verified on EAP 6.2.0 ER3

Note You need to log in before you can comment on or make changes to this bug.